Subject: Re: [PATCH gnome-team v5 11/19] gnu: Deprecate libsoup-minimal.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 08 Dec 2023 17:09:00 -0500

Hi Vivien,

Vivien Kraus <[email-masked]> writes:

> This patch makes the old libsoup-minimal a full package, by adding a "doc"
> output, -Ddocs=enabled to the configure-flags, a 'move-doc phase and
> gettext-minimal and gi-docgen to the native-inputs. The libsoup-minimal-2
> package inherits from that and must undo all these changes on top of the
> existing fixes (change origin, change tests fixes).
>
> Finally, libsoup-minimal is re-introduced as a deprecated-package.
>
> * gnu/packages/gnome.scm (libsoup): New variable from the old libsoup-minimal.
> [outputs]: Add "out" and "doc".
> [#:configure-flags]: Replace -Ddocs=disabled with -Ddocs=enabled.
> [#:phases]: Add 'move-doc.
> [native-inputs]: Add gettext-minimal and gi-docgen.
> (libsoup-minimal-2): Inherit from libsoup instead of libsoup-minimal.
> [name]: Set to "libsoup-minimal".
> [outputs]: Delete "doc".
> [#:configure-flags]: Delete -Ddocs=enabled since the package base has docs.
> [#:phases]: Replace with libsoup-minimal-2 test fixes.
> [native-inputs]: Delete gettext-minimal and gi-docgen.
> (libsoup-minimal): New variable.

IIUC, a minimal libsoup variant is not needed at this point since
inkscape depends on libsoup-minimal-2 rather than libsoup-minimal.

That may be true currently, but we should be ready for when a newer
Inkscape release is ready for a modern libsoup.  When this happens,
we'll still need a minimal version around, so I wouldn't remove it.
Does this make sense?

-- 
Thanks,
Maxim